@import "./lib/styles/main";

.kislov-banner--wrapper {
  position: relative;
  width: 100%;

  .kislov-banner {
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin: 10px 0;
    padding: 15px;

    .close {
      position: absolute;
      top: 10px;
      right: 10px;
      cursor: pointer;
    }

    &.kislov-banner--red {
      background: $red-dark;
      color: $white;
    }

    &.kislov-banner--green {
      background: $green-dark;
      color: $white;
    }

    &.kislov-banner--yellow {
      background: $red-disabled;
      color: $red-dark;
    }

    &--icon {
      font-size: $font-x-large-size;
    }

    &--content {
      flex: 1;
      text-align: center;
      .title {
        font-size: $font-large-size;
        font-weight: 600;
      }
      .subtext {
        font-size: $font-medium-size;
        font-weight: 200;
        padding: 5px 0 0;
      }
    }
  }
}